Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (ssuominen)" <ssuominen@g.o>
Subject: gentoo-x86 commit in sci-misc/boinc: ChangeLog boinc-6.12.42.ebuild
Date: Tue, 26 Jun 2012 13:01:32 +0000 (UTC)
ssuominen    12/06/26 13:01:32

  Modified:             ChangeLog boinc-6.12.42.ebuild
  Log:
  Fix building with dev-libs/glib >= 2.32 wrt #413675. Fix building with sys-devel/automake >= 1.12 wrt #423081. Convert to the new CURL_SSL flags wrt #412437.
  
  (Portage version: 2.2.0_alpha111/cvs/Linux x86_64)

Revision  Changes    Path
1.107                sci-misc/boinc/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-misc/boinc/ChangeLog?rev=1.107&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-misc/boinc/ChangeLog?rev=1.107&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-misc/boinc/ChangeLog?r1=1.106&r2=1.107

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-misc/boinc/ChangeLog,v
retrieving revision 1.106
retrieving revision 1.107
diff -u -r1.106 -r1.107
--- ChangeLog	4 Nov 2011 19:22:44 -0000	1.106
+++ ChangeLog	26 Jun 2012 13:01:32 -0000	1.107
@@ -1,6 +1,11 @@
 # ChangeLog for sci-misc/boinc
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-misc/boinc/ChangeLog,v 1.106 2011/11/04 19:22:44 scarabeus Exp $
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-misc/boinc/ChangeLog,v 1.107 2012/06/26 13:01:32 ssuominen Exp $
+
+  26 Jun 2012; Samuli Suominen <ssuominen@g.o> boinc-6.12.42.ebuild:
+  Fix building with dev-libs/glib >= 2.32 wrt #413675. Fix building with
+  sys-devel/automake >= 1.12 wrt #423081. Convert to the new CURL_SSL flags wrt
+  #412437.
 
   04 Nov 2011; Tomáš Chvátal <scarabeus@g.o>
   -files/6.12.26-libnotify-0.7.patch, boinc-6.12.42.ebuild:



1.3                  sci-misc/boinc/boinc-6.12.42.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-misc/boinc/boinc-6.12.42.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-misc/boinc/boinc-6.12.42.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-misc/boinc/boinc-6.12.42.ebuild?r1=1.2&r2=1.3

Index: boinc-6.12.42.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-misc/boinc/boinc-6.12.42.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- boinc-6.12.42.ebuild	4 Nov 2011 19:22:44 -0000	1.2
+++ boinc-6.12.42.ebuild	26 Jun 2012 13:01:32 -0000	1.3
@@ -1,6 +1,6 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-misc/boinc/boinc-6.12.42.ebuild,v 1.2 2011/11/04 19:22:44 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-misc/boinc/boinc-6.12.42.ebuild,v 1.3 2012/06/26 13:01:32 ssuominen Exp $
 
 EAPI=4
 
@@ -20,7 +20,7 @@
 	!app-admin/quickswitch
 	>=app-misc/ca-certificates-20080809
 	dev-libs/openssl
-	net-misc/curl[ssl,-gnutls]
+	net-misc/curl[ssl,curl_ssl_openssl]
 	sys-apps/util-linux
 	sys-libs/zlib
 	cuda? (
@@ -51,11 +51,15 @@
 
 src_prepare() {
 	# use system ssl certificates
-	mkdir "${S}"/curl
-	ln -s /etc/ssl/certs/ca-certificates.crt "${S}"/curl/ca-bundle.crt
+	mkdir curl
+	ln -s /etc/ssl/certs/ca-certificates.crt curl/ca-bundle.crt
 
 	# prevent bad changes in compile flags, bug 286701
-	sed -i -e "s:BOINC_SET_COMPILE_FLAGS::" configure.ac || die "sed failed"
+	sed -i -e 's:BOINC_SET_COMPILE_FLAGS::' configure.ac || die
+
+	sed -i -e 's:AC_PROG_CC:&\nAC_PROG_OBJCXX:' configure.ac || die #423081
+
+	sed -i -e 's:glib/gtypes.h:glib.h:' clientgui/gtk/taskbarex.cpp || die #413675
 
 	base_src_prepare
 
@@ -91,13 +95,13 @@
 
 src_install() {
 	default
-	find "${ED}" -name '*.la' -exec rm -f {} +
+	prune_libtool_files --all
 
 	dodir /var/lib/${PN}/
 	keepdir /var/lib/${PN}/
 
 	if use X; then
-		newicon "${S}"/packages/generic/sea/${PN}mgr.48x48.png ${PN}.png || die
+		newicon -s 48 "${S}"/packages/generic/sea/${PN}mgr.48x48.png ${PN}.png
 		make_desktop_entry boincmgr "${PN}" "${PN}" "Math;Science" "Path=/var/lib/${PN}"
 	fi
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-cdr/nero: ChangeLog nero-4.0.0.0b.ebuild
Next by thread:
gentoo-x86 commit in sci-misc/boinc: ChangeLog boinc-6.12.42.ebuild
Previous by date:
proj/kde:master commit in: kde-base/kdm/
Next by date:
gentoo-x86 commit in app-mobilephone/freesmee/files: freesmee-gcc47.patch


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.